package org.xpresso.xml;

/**
 *
 * Thrown if an inserted XmlContent contains an illegal character sequence.<br />
 * <br />
 * This code is under the <a href="http://www.gnu.org/licenses/lgpl.html">LGPL v3 licence</a>.
 * @author Alexis Dufrenoy
 *
 */
public class IllegalContentException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3087610026960444824L;

	public IllegalContentException() {
		super();
	}

	public IllegalContentException(String message) {
		super(message);
	}

	public IllegalContentException(String message, Throwable cause) {
		super(message,cause);
	}

	public IllegalContentException(Throwable cause) {
		super(cause);
	}

}
